---
title: getIncludedService()
slug: Web/API/BluetoothRemoteGATTService/getIncludedService
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTService
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - getIncludedService
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothGATTService.getIncludedService()</code></strong> method returns a {{jsxref("Promise")}} to an instance of {{domxref("BluetoothGATTService")}} for a given universally unique identifier (UUID).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">bluetoothGATTServiceInstance.getIncludedService(service).then(function(BluetoothGATTService) { ... } )</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} to an instance of {{domxref("BluetoothGATTService")}}.</p>

<h3 id="Properties">Properties</h3>

<dl>
 <dt>service</dt>
 <dd>The UUID of a Bluetooth service.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattservice-getincludedservice", "getIncludedService()")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTService.getIncludedService")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
